Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.generators
Class ECKeyPairGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.ECKeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator, ECConstants

Direct Known Subclasses:
  DSTU4145KeyPairGenerator, SM2KeyPairGenerator

public class ECKeyPairGenerator
extends java.lang.Object
implements AsymmetricCipherKeyPairGenerator, ECConstants

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`EIGHT, FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`` | `ECKeyPairGenerator()`
`protected` | `ECKeyPairGenerator(java.lang.String name)`

Method Summary
`protected ECMultiplier` | `createBasePointMultiplier()`
`AsymmetricCipherKeyPair` | `generateKeyPair()` Given the domain parameters this routine generates an EC key pair in accordance with X9.62 section 5.2.1 pages 26, 27.
`void` | `init(KeyGenerationParameters param)` intialise the key pair generator.
`protected boolean` | `isOutOfRangeD(java.math.BigInteger d, java.math.BigInteger n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECKeyPairGenerator

    public ECKeyPairGenerator()

### ECKeyPairGenerator

    protected ECKeyPairGenerator(java.lang.String name)

Method Detail

### init

    public void init(KeyGenerationParameters param)

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  intialise the key pair generator.

  Specified by:
    `init` in interface `AsymmetricCipherKeyPairGenerator`
  Parameters:
    `param` - the parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  Given the domain parameters this routine generates an EC key pair in accordance with X9.62 section 5.2.1 pages 26, 27.

  Specified by:
    `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

### isOutOfRangeD

    protected boolean isOutOfRangeD(java.math.BigInteger d,
                                    java.math.BigInteger n)

### createBasePointMultiplier

    protected ECMultiplier createBasePointMultiplier()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD